#ifndef _KGR_PATCH_BSC1077268_H
#define _KGR_PATCH_BSC1077268_H

int kgr_patch_bsc1077268_init(void);
void kgr_patch_bsc1077268_cleanup(void);

struct btrfs_trans_handle;
struct btrfs_root;
struct btrfs_space_info;

int kgr_do_chunk_alloc(struct btrfs_trans_handle *trans,
		       struct btrfs_root *extent_root, u64 flags, int force);
int kgr_flush_space(struct btrfs_root *root,
		    struct btrfs_space_info *space_info, u64 num_bytes,
		    u64 orig_bytes, int state);

#define KGR_PATCH_BSC1077268_FUNCS					\
	KGR_PATCH_OBJ(do_chunk_alloc, kgr_do_chunk_alloc, "btrfs"),	\
	KGR_PATCH_OBJ(flush_space, kgr_flush_space, "btrfs"),		\

#endif
